Update a language
PUT/qsystem/rest/config/languages/:locale
Update a language
curl -i -u user:password -X PUT -H 'Content-type: application/json' http://ip:port/qsystem/rest/config/languages/sv
-d '{"locale":"sv","description":"Svenska","rightToLeft":"true"}'
The language must contain it's locale and you can update the following information:
-
description: A description of the language.
-
rightToLeft: A boolean that determines if the UI should be displayed right to left, will default to false.
Other requirements:
-
The locale in the url must match the locale in the json.
-
If an id is submitted as part of the language it will be ignored.
Request
Responses
- 204
A json object with the updated language